Package org.apache.groovy.toml.util

# Class TomlConverter

java.lang.Object
org.apache.groovy.toml.util.TomlConverter

@Incubating public final class TomlConverter extends Object
A converter for converting TOML to JSON, vice versa

Since:
  4.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `convertJsonToToml(Reader jsonReader)`
  Convert json to toml
  `static String`
  `convertTomlToJson(Reader tomlReader)`
  Convert toml to json

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### convertTomlToJson

    public static String convertTomlToJson(Reader tomlReader)
    Convert toml to json
    Parameters:
      `tomlReader` - the reader of toml
    Returns:
      the text of json

  - ### convertJsonToToml

    public static String convertJsonToToml(Reader jsonReader)
    Convert json to toml
    Parameters:
      `jsonReader` - the reader of json
    Returns:
      the text of toml